package com.lukouguoji.aerologic.page.accident.visa.list

import android.view.View
import com.lukouguoji.aerologic.databinding.ItemAccidentVisaListBinding
import com.lukouguoji.module_base.base.BaseViewHolder
import com.lukouguoji.module_base.bean.AccidentVisaBean

class AccidentVisaListViewHolder(view: View) :
    BaseViewHolder<AccidentVisaBean, ItemAccidentVisaListBinding>(view) {
    override fun onBind(item: Any?, position: Int) {
        val itemBean = getItemBean(item)!!
        binding.bean = itemBean

        binding.ivIcon.setOnClickListener {
            itemBean.checked.set(!itemBean.checked.get())
        }

        notifyItemClick(position, binding.tvModify)
        notifyItemClick(position, binding.tvDelete)
        notifyItemClick(position, binding.tvDetails)
    }

}